This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316294 - tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_volume_boot_pattern errors out w/ floating ip pool not found [NEEDINFO]
tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_volume_b...
Status: CLOSED DUPLICATE of bug 1272289
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tempest (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Daniel Mellado
tkammer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 17:08 EST by wes hayutin
Modified: 2016-03-10 02:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 02:33:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dmellado: needinfo? (whayutin)


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2016-03-09 17:08:39 EST
Description of problem:

tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_volume_boot_pattern errors out w/ floating ip pool not found

tempest.scenario.test_volume_boot_pattern.TestVolumeBootPattern.test_volume_boot_pattern[compute,id-557cd2c2-4eb8-4dce-98be-f86765ff311b,image,smoke,volume]
------------------------------------------------------------------------------------------------------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/home/stack/tempest/tempest/test.py", line 113, in wrapper
        return f(self, *func_args, **func_kwargs)
      File "/home/stack/tempest/tempest/scenario/test_volume_boot_pattern.py", line 117, in test_volume_boot_pattern
        ip_instance_1st = self.get_server_or_ip(instance_1st)
      File "/home/stack/tempest/tempest/scenario/manager.py", line 657, in get_server_or_ip
        ip = self.create_floating_ip(server)['ip']
      File "/home/stack/tempest/tempest/scenario/manager.py", line 620, in create_floating_ip
        create_floating_ip(pool=pool_name)['floating_ip'])
      File "/usr/lib/python2.7/site-packages/tempest_lib/services/compute/floating_ips_client.py", line 53, in create_floating_ip
        resp, body = self.post(url, post_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 259, in post
        return self.request('POST', url, extra_headers, headers, body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 640, in request
        resp, resp_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 693, in _error_checker
        raise exceptions.NotFound(resp_body, resp=resp)
    tempest_lib.exceptions.NotFound: Object not found
    Details: {u'message': u'Floating ip pool not found.', u'code': 404}
    

Looking through other tempest runs floating ips are created successfully, and we're also able to create and launch instances w/ floating ips outside of tempest.

ATM we're concluding that the error is caused by tempest itself.
Comment 2 wes hayutin 2016-03-09 17:10:12 EST
Here is a scenario run against the same deployment that creates an instance, boots, pings, and ssh's to the instance

ansible-playbook -vv --extra-vars @ksgen_settings.yml -i hosts playbooks/post-deploy/rdo-manager/overcloud-validate.yml    master ⚡ ⌚ 15:49:04

PLAY [set fact for validation] ************************************************ 

GATHERING FACTS *************************************************************** 
<undercloud> REMOTE_MODULE setup
ok: [undercloud]

TASK: [set fact stack user home] ********************************************** 
ok: [undercloud] => {"ansible_facts": {"instack_user_home": "/home/stack"}}

TASK: [set fact instack rc filename] ****************************************** 
                       [[ previous task time: 0:00:00.042528 = 0.04s / 4.43s ]]
ok: [undercloud] => {"ansible_facts": {"instack_rc_filename": "overcloudrc"}}

TASK: [get admin password] **************************************************** 
                       [[ previous task time: 0:00:00.008963 = 0.01s / 4.44s ]]
<undercloud> REMOTE_MODULE command grep 'OS_PASSWORD' /home/stack/overcloudrc | cut -d '=' -f2 #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "grep 'OS_PASSWORD' /home/stack/overcloudrc | cut -d '=' -f2", "delta": "0:00:00.003849", "end": "2016-03-09 15:50:11.611475", "rc": 0, "start": "2016-03-09 15:50:11.607626", "stderr": "", "stdout": "HRmjWh2MmvYpDdb48JJ9whQUk", "warnings": []}

cmd: grep 'OS_PASSWORD' /home/stack/overcloudrc | cut -d '=' -f2

start: 2016-03-09 15:50:11.607626

end: 2016-03-09 15:50:11.611475

delta: 0:00:00.003849

stdout: HRmjWh2MmvYpDdb48JJ9whQUk

TASK: [get auth url] ********************************************************** 
                       [[ previous task time: 0:00:01.005120 = 1.01s / 5.44s ]]
<undercloud> REMOTE_MODULE command grep 'OS_AUTH_URL' /home/stack/overcloudrc | cut -d '=' -f2 #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "grep 'OS_AUTH_URL' /home/stack/overcloudrc | cut -d '=' -f2", "delta": "0:00:00.003480", "end": "2016-03-09 15:50:12.597398", "rc": 0, "start": "2016-03-09 15:50:12.593918", "stderr": "", "stdout": "http://172.16.23.110:5000/v2.0", "warnings": []}

cmd: grep 'OS_AUTH_URL' /home/stack/overcloudrc | cut -d '=' -f2

start: 2016-03-09 15:50:12.593918

end: 2016-03-09 15:50:12.597398

delta: 0:00:00.003480

stdout: http://172.16.23.110:5000/v2.0

TASK: [admin pass] ************************************************************ 
                       [[ previous task time: 0:00:00.985394 = 0.99s / 6.43s ]]
ok: [undercloud] => {"ansible_facts": {"admin_password": "HRmjWh2MmvYpDdb48JJ9whQUk"}}

TASK: [auth url] ************************************************************** 
                       [[ previous task time: 0:00:00.009759 = 0.01s / 6.44s ]]
ok: [undercloud] => {"ansible_facts": {"keystone_endpoint": "http://172.16.23.110:5000/v2.0"}}

PLAY [validate overcloud] ***************************************************** 
                       [[ previous play time: 0:00:05.991624 = 5.99s / 6.45s ]]

TASK: [validate_openstack/setup_network | set random number as a fact] ******** 
                       [[ previous task time: 0:00:00.010629 = 0.01s / 6.45s ]]
ok: [undercloud] => {"ansible_facts": {"random": "ny8nj-whayutin-rmgr-rh-pud-"}}

TASK: [validate_openstack/setup_network | admin pass] ************************* 
                       [[ previous task time: 0:00:00.012363 = 0.01s / 6.46s ]]
ok: [undercloud] => {"ansible_facts": {"admin_password": "HRmjWh2MmvYpDdb48JJ9whQUk"}}

TASK: [validate_openstack/setup_network | auth url] *************************** 
                       [[ previous task time: 0:00:00.011396 = 0.01s / 6.47s ]]
ok: [undercloud] => {"ansible_facts": {"keystone_endpoint": "http://172.16.23.110:5000/v2.0"}}

TASK: [validate_openstack/setup_network | extract ip and port from endpoint] *** 
                       [[ previous task time: 0:00:00.010797 = 0.01s / 6.48s ]]
<undercloud> REMOTE_MODULE urlparse facts_prefix=public_ url=http://172.16.23.110:5000/v2.0
changed: [undercloud] => {"ansible_facts": {"public_ip": "172.16.23.110", "public_port": 5000}, "changed": true}

TASK: [validate_openstack/setup_network | check if openstack api is available] *** 
                       [[ previous task time: 0:00:01.024716 = 1.02s / 7.51s ]]
<undercloud> REMOTE_MODULE wait_for port=5000 host=172.16.23.110
ok: [undercloud] => {"changed": false, "elapsed": 0, "path": null, "port": 5000, "search_regex": null, "state": "started"}

TASK: [validate_openstack/setup_network | get the guest-image] **************** 
                       [[ previous task time: 0:00:00.972552 = 0.97s / 8.48s ]]
<undercloud> REMOTE_MODULE get_url url="http://mirror.pnl.gov/fedora/linux/releases/21/Cloud/Images/x86_64/Fedora-Cloud-Base-20141203-21.x86_64.qcow2" dest=/home/stack/Fedora-Cloud-Base-20141203-21.x86_64.qcow2
changed: [undercloud] => {"changed": true, "checksum": "d95e108ea429f6b45eaba68ad43d8bb16728767e", "dest": "/home/stack/Fedora-Cloud-Base-20141203-21.x86_64.qcow2", "gid": 1000, "group": "stack", "md5sum": "d009530079fd6567a3f0579a09c03af0", "mode": "0664", "msg": "OK (158443520 bytes)", "owner": "stack", "secontext": "unconfined_u:object_r:user_home_t:s0", "sha256sum": "", "size": 158443520, "src": "/tmp/tmpFxKCVx", "state": "file", "uid": 1000, "url": "http://mirror.pnl.gov/fedora/linux/releases/21/Cloud/Images/x86_64/Fedora-Cloud-Base-20141203-21.x86_64.qcow2"}

msg: OK (158443520 bytes)

TASK: [validate_openstack/setup_network | upload image] *********************** 
                     [[ previous task time: 0:00:18.412793 = 18.41s / 26.89s ]]
<undercloud> REMOTE_MODULE glance_image login_username=admin login_password=VALUE_HIDDEN file=/home/stack/Fedora-Cloud-Base-20141203-21.x86_64.qcow2 auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin disk_format=qcow2 container_format=bare name=Fedora-Cloud-Base-20141203-21.x86_64.qcow2
changed: [undercloud] => {"changed": true, "id": "8fd676bb-80c5-4aec-a7a2-8cad999d3142", "result": "active"}

TASK: [validate_openstack/setup_network | create public network] ************** 
                      [[ previous task time: 0:00:07.128727 = 7.13s / 34.02s ]]
<undercloud> REMOTE_MODULE quantum_network provider_segmentation_id=10 login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin provider_physical_network=datacentre provider_network_type=vlan name=nova
ok: [undercloud] => {"changed": false, "id": "9cdac77a-2747-46bd-aeb6-c1d95460836c", "result": "Success"}

TASK: [validate_openstack/setup_network | Create subnet for public network] *** 
                      [[ previous task time: 0:00:01.867385 = 1.87s / 35.89s ]]
<undercloud> REMOTE_MODULE quantum_subnet allocation_pool_end=172.16.23.50 network_name=nova cidr=172.16.23.0/24 gateway_ip=172.16.23.251 login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 allocation_pool_start=172.16.23.40 state=present login_tenant_name=admin name=nova
ok: [undercloud] => {"changed": false, "id": "70f67cda-481b-4aeb-b97f-04dd63753b77", "result": "success"}

TASK: [validate_openstack/setup_network | create tenant network] ************** 
                      [[ previous task time: 0:00:02.346185 = 2.35s / 38.24s ]]
<undercloud> REMOTE_MODULE quantum_network login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin name=private_ny8nj-whayutin-rmgr-rh-pud-
changed: [undercloud] => {"changed": true, "id": "2eafb142-f283-4b5e-bc0d-b6cf14af2cec", "result": "Created"}

TASK: [validate_openstack/setup_network | Create subnet for tenant network] *** 
                      [[ previous task time: 0:00:02.332118 = 2.33s / 40.57s ]]
<undercloud> REMOTE_MODULE quantum_subnet allocation_pool_end=10.0.0.60 network_name=private_ny8nj-whayutin-rmgr-rh-pud- cidr=10.0.0.0/24 gateway_ip=10.0.0.1 login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 allocation_pool_start=10.0.0.20 state=present login_tenant_name=admin name=private_ny8nj-whayutin-rmgr-rh-pud-
changed: [undercloud] => {"changed": true, "id": "0f5ef979-9734-48fe-82d9-3f6ebaa853b2", "result": "Created"}

TASK: [validate_openstack/setup_network | create router] ********************** 
                      [[ previous task time: 0:00:03.477268 = 3.48s / 44.05s ]]
<undercloud> REMOTE_MODULE quantum_router login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin name=ext-to-int_ny8nj-whayutin-rmgr-rh-pud-
changed: [undercloud] => {"changed": true, "id": "35a55a90-dae7-46a2-9666-6bf7152bc6ea", "result": "Created"}

TASK: [validate_openstack/setup_network | create router gateway] ************** 
                      [[ previous task time: 0:00:03.666922 = 3.67s / 47.71s ]]
<undercloud> REMOTE_MODULE quantum_router_gateway network_name=nova login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin router_name=ext-to-int_ny8nj-whayutin-rmgr-rh-pud-
changed: [undercloud] => {"changed": true, "result": "created"}

TASK: [validate_openstack/setup_network | create router interface] ************ 
                      [[ previous task time: 0:00:03.927597 = 3.93s / 51.64s ]]
<undercloud> REMOTE_MODULE quantum_router_interface router_name=ext-to-int_ny8nj-whayutin-rmgr-rh-pud- subnet_name=private_ny8nj-whayutin-rmgr-rh-pud- login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin tenant_name=admin
changed: [undercloud] => {"changed": true, "id": null, "result": "created"}

TASK: [validate_openstack/setup_network | set fact] *************************** 
                      [[ previous task time: 0:00:04.070104 = 4.07s / 55.71s ]]
ok: [undercloud] => {"ansible_facts": {"glance_image_uuid_result_id": "8fd676bb-80c5-4aec-a7a2-8cad999d3142"}}

TASK: [validate_openstack/setup_network | set fact] *************************** 
                      [[ previous task time: 0:00:00.010248 = 0.01s / 55.72s ]]
ok: [undercloud] => {"ansible_facts": {"tenant_network_uuid_result_id": "2eafb142-f283-4b5e-bc0d-b6cf14af2cec"}}

TASK: [validate_openstack/setup_network | set fact] *************************** 
                      [[ previous task time: 0:00:00.009273 = 0.01s / 55.73s ]]
ok: [undercloud] => {"ansible_facts": {"internal_network_name": "private_ny8nj-whayutin-rmgr-rh-pud-"}}

TASK: [validate_openstack/test_instance | create keypair] ********************* 
                      [[ previous task time: 0:00:00.012086 = 0.01s / 55.74s ]]
<undercloud> REMOTE_MODULE nova_keypair login_username=admin login_password=VALUE_HIDDEN auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin name=instance-key-ny8nj-whayutin-rmgr-rh-pud-
changed: [undercloud] => {"changed": true, "key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEqQIBAAKCAQEAqG508FiAYU7v+mQ5jLJyWIGpPTYcQeIeJAwSqRThXFheAfag\niE4NfifAmerCIC6mQPMlGCFyYF8DjrqXaMraxpcgItRpydFL3zS5VA3GfGJIYhHj\nRgpx5rv0FS35IfSL1QTDF8iCK1+KJvRFndUvvxq68/Y7nwGS9YvNx3eypPOCVO+M\nbcyxVPZyO/5ynBT9uvWzzVqRAl1Zd+1nzF7LTo0ac+6C5bOOu0UT/VozFxkbWIoE\neQ3GsSy+kPV7oio6ZGllSeRYQwNaamhqXzyr8f5pzqoAEyPxMhWkNkkHAFPWDgZu\nSumNuqKJkBvEpt/xUbiTRjAoZ2yvc1nsYOOLkQIDAQABAoIBAQCj+kWm6MKz+eHw\n6DqPG/vu5u0ZRuDj03x8o7RXIJj3CqEbUDyh9ztzosgEEWXFZyU8/nsSrx1nbZlN\nD6Pwxe2Qgfkrb5k+fqFbQT1c87xVxGmr8LZPrkON21aaeBOgVzD7xpMZSIBSMcWS\nfyZ3ruG5MBDrCsKo3yNwIxfIJmSp6UH3uHVGvNuLs5N2yKSvLA8vHn5LbjIpsdl7\nG4paikTZraNWv+CcLcLZz7lOcasdIpj4wqkkyDEujjkHIjKSMZoYjFKPqRcocOiP\nobIhihuodRPQ6FbKd0qgjFNmbP0dk/dTews0NVS5yt/+e+kNuh5I2Jfgm3siPBHH\n0uL1/6YxAoIAgQC5P1L5zxWvbgzn3uPiXOZSEJ//LQ/207r7F9SdpvfrL5ezCnVs\neOI/zkPVZRgu+cZJjLs1OddEWeIruZPVzQl8Yaf8luzxUCQnQsLSZldDdZV5WdQ/\n7x03RVAfAWf4UlYpiukTroaUOyEgBBZ2HGiYfvgeQt58d2K/03DnwzGGewKCAIEA\n6MLy4Y2MvailJHEuSj28ImZ45Uulbx9ra29/+tS0SHDMnnWDVFvHqqoaByb8sYvl\nMgNrbPK3ofqYAy4Q5c2JNHoadAekpDPCIXuK8eotl6kB70r6aHP1b9vT7sRPD2Ah\n1DhQ7NZzRtvGEDpc7+BdVMyPsmVp/LTFwlm1ZI3kfmMCggCBAKSs4UNGzt0zdG+P\nWX853FkphEGgOmfOEpLxvUUkT5GXrkAv1PDHiUD1SKHji5r+2UE6xJTtRSryyDbc\ncsoFyh/y5BWLyTg/aNQp6eyFo59JYMYOj7sCAjPG/xGA+37pGsU1QjsH04TkB29h\nkuIOIQEnJcQo54U3z+X8vYqZn2YPAoIAgD1vh1AFXoqIwt31ibRKyyeBSJOs/cNw\n1ZeL3InGLreYHkoM1lcjynW/ZBNTNQtf02T6BhbBkbqNPCZKuGcPcxGI0QajJc+5\nYZoY07m6h8Ip97rDXYjIYpXdvfidlAiI5STwoFuC1vZy97o8zV77J2dEfwElR25O\nAIylxPz/frnlAoIAgFmxIXy3Y5DKDql0gKrbcS00lfazCbLecM6arylWZxbN8/Yn\nbd8cPK8bB/E+0+AiHLXaOiMnBtHlGGiPYkVr+4kRss2t1pYMp87QFifqMavWDPuk\nAs+Gv0InS64p57XVt7QTLoCvuFf/fi6uejprpYDdwCQboue6XyeixAX76B/4\n-----END RSA PRIVATE KEY-----\n"}

TASK: [validate_openstack/test_instance | Capture private ssh key] ************ 
                      [[ previous task time: 0:00:02.179783 = 2.18s / 57.92s ]]
ok: [undercloud] => {
    "var": {
        "keypair.key": "-----BEGIN RSA PRIVATE KEY-----\nMIIEqQIBAAKCAQEAqG508FiAYU7v+mQ5jLJyWIGpPTYcQeIeJAwSqRThXFheAfag\niE4NfifAmerCIC6mQPMlGCFyYF8DjrqXaMraxpcgItRpydFL3zS5VA3GfGJIYhHj\nRgpx5rv0FS35IfSL1QTDF8iCK1+KJvRFndUvvxq68/Y7nwGS9YvNx3eypPOCVO+M\nbcyxVPZyO/5ynBT9uvWzzVqRAl1Zd+1nzF7LTo0ac+6C5bOOu0UT/VozFxkbWIoE\neQ3GsSy+kPV7oio6ZGllSeRYQwNaamhqXzyr8f5pzqoAEyPxMhWkNkkHAFPWDgZu\nSumNuqKJkBvEpt/xUbiTRjAoZ2yvc1nsYOOLkQIDAQABAoIBAQCj+kWm6MKz+eHw\n6DqPG/vu5u0ZRuDj03x8o7RXIJj3CqEbUDyh9ztzosgEEWXFZyU8/nsSrx1nbZlN\nD6Pwxe2Qgfkrb5k+fqFbQT1c87xVxGmr8LZPrkON21aaeBOgVzD7xpMZSIBSMcWS\nfyZ3ruG5MBDrCsKo3yNwIxfIJmSp6UH3uHVGvNuLs5N2yKSvLA8vHn5LbjIpsdl7\nG4paikTZraNWv+CcLcLZz7lOcasdIpj4wqkkyDEujjkHIjKSMZoYjFKPqRcocOiP\nobIhihuodRPQ6FbKd0qgjFNmbP0dk/dTews0NVS5yt/+e+kNuh5I2Jfgm3siPBHH\n0uL1/6YxAoIAgQC5P1L5zxWvbgzn3uPiXOZSEJ//LQ/207r7F9SdpvfrL5ezCnVs\neOI/zkPVZRgu+cZJjLs1OddEWeIruZPVzQl8Yaf8luzxUCQnQsLSZldDdZV5WdQ/\n7x03RVAfAWf4UlYpiukTroaUOyEgBBZ2HGiYfvgeQt58d2K/03DnwzGGewKCAIEA\n6MLy4Y2MvailJHEuSj28ImZ45Uulbx9ra29/+tS0SHDMnnWDVFvHqqoaByb8sYvl\nMgNrbPK3ofqYAy4Q5c2JNHoadAekpDPCIXuK8eotl6kB70r6aHP1b9vT7sRPD2Ah\n1DhQ7NZzRtvGEDpc7+BdVMyPsmVp/LTFwlm1ZI3kfmMCggCBAKSs4UNGzt0zdG+P\nWX853FkphEGgOmfOEpLxvUUkT5GXrkAv1PDHiUD1SKHji5r+2UE6xJTtRSryyDbc\ncsoFyh/y5BWLyTg/aNQp6eyFo59JYMYOj7sCAjPG/xGA+37pGsU1QjsH04TkB29h\nkuIOIQEnJcQo54U3z+X8vYqZn2YPAoIAgD1vh1AFXoqIwt31ibRKyyeBSJOs/cNw\n1ZeL3InGLreYHkoM1lcjynW/ZBNTNQtf02T6BhbBkbqNPCZKuGcPcxGI0QajJc+5\nYZoY07m6h8Ip97rDXYjIYpXdvfidlAiI5STwoFuC1vZy97o8zV77J2dEfwElR25O\nAIylxPz/frnlAoIAgFmxIXy3Y5DKDql0gKrbcS00lfazCbLecM6arylWZxbN8/Yn\nbd8cPK8bB/E+0+AiHLXaOiMnBtHlGGiPYkVr+4kRss2t1pYMp87QFifqMavWDPuk\nAs+Gv0InS64p57XVt7QTLoCvuFf/fi6uejprpYDdwCQboue6XyeixAX76B/4\n-----END RSA PRIVATE KEY-----\n"
    }
}

TASK: [validate_openstack/test_instance | cp private ssh key to host] ********* 
                      [[ previous task time: 0:00:00.038318 = 0.04s / 57.96s ]]
<undercloud> REMOTE_MODULE command echo "-----BEGIN RSA PRIVATE KEY----- MIIEqQIBAAKCAQEAqG508FiAYU7v+mQ5jLJyWIGpPTYcQeIeJAwSqRThXFheAfag iE4NfifAmerCIC6mQPMlGCFyYF8DjrqXaMraxpcgItRpydFL3zS5VA3GfGJIYhHj Rgpx5rv0FS35IfSL1QTDF8iCK1+KJvRFndUvvxq68/Y7nwGS9YvNx3eypPOCVO+M bcyxVPZyO/5ynBT9uvWzzVqRAl1Zd+1nzF7LTo0ac+6C5bOOu0UT/VozFxkbWIoE eQ3GsSy+kPV7oio6ZGllSeRYQwNaamhqXzyr8f5pzqoAEyPxMhWkNkkHAFPWDgZu SumNuqKJkBvEpt/xUbiTRjAoZ2yvc1nsYOOLkQIDAQABAoIBAQCj+kWm6MKz+eHw 6DqPG/vu5u0ZRuDj03x8o7RXIJj3CqEbUDyh9ztzosgEEWXFZyU8/nsSrx1nbZlN D6Pwxe2Qgfkrb5k+fqFbQT1c87xVxGmr8LZPrkON21aaeBOgVzD7xpMZSIBSMcWS fyZ3ruG5MBDrCsKo3yNwIxfIJmSp6UH3uHVGvNuLs5N2yKSvLA8vHn5LbjIpsdl7 G4paikTZraNWv+CcLcLZz7lOcasdIpj4wqkkyDEujjkHIjKSMZoYjFKPqRcocOiP obIhihuodRPQ6FbKd0qgjFNmbP0dk/dTews0NVS5yt/+e+kNuh5I2Jfgm3siPBHH 0uL1/6YxAoIAgQC5P1L5zxWvbgzn3uPiXOZSEJ//LQ/207r7F9SdpvfrL5ezCnVs eOI/zkPVZRgu+cZJjLs1OddEWeIruZPVzQl8Yaf8luzxUCQnQsLSZldDdZV5WdQ/ 7x03RVAfAWf4UlYpiukTroaUOyEgBBZ2HGiYfvgeQt58d2K/03DnwzGGewKCAIEA 6MLy4Y2MvailJHEuSj28ImZ45Uulbx9ra29/+tS0SHDMnnWDVFvHqqoaByb8sYvl MgNrbPK3ofqYAy4Q5c2JNHoadAekpDPCIXuK8eotl6kB70r6aHP1b9vT7sRPD2Ah 1DhQ7NZzRtvGEDpc7+BdVMyPsmVp/LTFwlm1ZI3kfmMCggCBAKSs4UNGzt0zdG+P WX853FkphEGgOmfOEpLxvUUkT5GXrkAv1PDHiUD1SKHji5r+2UE6xJTtRSryyDbc csoFyh/y5BWLyTg/aNQp6eyFo59JYMYOj7sCAjPG/xGA+37pGsU1QjsH04TkB29h kuIOIQEnJcQo54U3z+X8vYqZn2YPAoIAgD1vh1AFXoqIwt31ibRKyyeBSJOs/cNw 1ZeL3InGLreYHkoM1lcjynW/ZBNTNQtf02T6BhbBkbqNPCZKuGcPcxGI0QajJc+5 YZoY07m6h8Ip97rDXYjIYpXdvfidlAiI5STwoFuC1vZy97o8zV77J2dEfwElR25O AIylxPz/frnlAoIAgFmxIXy3Y5DKDql0gKrbcS00lfazCbLecM6arylWZxbN8/Yn bd8cPK8bB/E+0+AiHLXaOiMnBtHlGGiPYkVr+4kRss2t1pYMp87QFifqMavWDPuk As+Gv0InS64p57XVt7QTLoCvuFf/fi6uejprpYDdwCQboue6XyeixAX76B/4 -----END RSA PRIVATE KEY----- " > ~/"instance-key-ny8nj-whayutin-rmgr-rh-pud-" #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "echo \"-----BEGIN RSA PRIVATE KEY-----\nMIIEqQIBAAKCAQEAqG508FiAYU7v+mQ5jLJyWIGpPTYcQeIeJAwSqRThXFheAfag\niE4NfifAmerCIC6mQPMlGCFyYF8DjrqXaMraxpcgItRpydFL3zS5VA3GfGJIYhHj\nRgpx5rv0FS35IfSL1QTDF8iCK1+KJvRFndUvvxq68/Y7nwGS9YvNx3eypPOCVO+M\nbcyxVPZyO/5ynBT9uvWzzVqRAl1Zd+1nzF7LTo0ac+6C5bOOu0UT/VozFxkbWIoE\neQ3GsSy+kPV7oio6ZGllSeRYQwNaamhqXzyr8f5pzqoAEyPxMhWkNkkHAFPWDgZu\nSumNuqKJkBvEpt/xUbiTRjAoZ2yvc1nsYOOLkQIDAQABAoIBAQCj+kWm6MKz+eHw\n6DqPG/vu5u0ZRuDj03x8o7RXIJj3CqEbUDyh9ztzosgEEWXFZyU8/nsSrx1nbZlN\nD6Pwxe2Qgfkrb5k+fqFbQT1c87xVxGmr8LZPrkON21aaeBOgVzD7xpMZSIBSMcWS\nfyZ3ruG5MBDrCsKo3yNwIxfIJmSp6UH3uHVGvNuLs5N2yKSvLA8vHn5LbjIpsdl7\nG4paikTZraNWv+CcLcLZz7lOcasdIpj4wqkkyDEujjkHIjKSMZoYjFKPqRcocOiP\nobIhihuodRPQ6FbKd0qgjFNmbP0dk/dTews0NVS5yt/+e+kNuh5I2Jfgm3siPBHH\n0uL1/6YxAoIAgQC5P1L5zxWvbgzn3uPiXOZSEJ//LQ/207r7F9SdpvfrL5ezCnVs\neOI/zkPVZRgu+cZJjLs1OddEWeIruZPVzQl8Yaf8luzxUCQnQsLSZldDdZV5WdQ/\n7x03RVAfAWf4UlYpiukTroaUOyEgBBZ2HGiYfvgeQt58d2K/03DnwzGGewKCAIEA\n6MLy4Y2MvailJHEuSj28ImZ45Uulbx9ra29/+tS0SHDMnnWDVFvHqqoaByb8sYvl\nMgNrbPK3ofqYAy4Q5c2JNHoadAekpDPCIXuK8eotl6kB70r6aHP1b9vT7sRPD2Ah\n1DhQ7NZzRtvGEDpc7+BdVMyPsmVp/LTFwlm1ZI3kfmMCggCBAKSs4UNGzt0zdG+P\nWX853FkphEGgOmfOEpLxvUUkT5GXrkAv1PDHiUD1SKHji5r+2UE6xJTtRSryyDbc\ncsoFyh/y5BWLyTg/aNQp6eyFo59JYMYOj7sCAjPG/xGA+37pGsU1QjsH04TkB29h\nkuIOIQEnJcQo54U3z+X8vYqZn2YPAoIAgD1vh1AFXoqIwt31ibRKyyeBSJOs/cNw\n1ZeL3InGLreYHkoM1lcjynW/ZBNTNQtf02T6BhbBkbqNPCZKuGcPcxGI0QajJc+5\nYZoY07m6h8Ip97rDXYjIYpXdvfidlAiI5STwoFuC1vZy97o8zV77J2dEfwElR25O\nAIylxPz/frnlAoIAgFmxIXy3Y5DKDql0gKrbcS00lfazCbLecM6arylWZxbN8/Yn\nbd8cPK8bB/E+0+AiHLXaOiMnBtHlGGiPYkVr+4kRss2t1pYMp87QFifqMavWDPuk\nAs+Gv0InS64p57XVt7QTLoCvuFf/fi6uejprpYDdwCQboue6XyeixAX76B/4\n-----END RSA PRIVATE KEY-----\n\" > ~/\"instance-key-ny8nj-whayutin-rmgr-rh-pud-\"", "delta": "0:00:00.005476", "end": "2016-03-09 15:51:05.067972", "rc": 0, "start": "2016-03-09 15:51:05.062496", "stderr": "", "stdout": "", "warnings": []}

cmd: echo "-----BEGIN RSA PRIVATE KEY-----
MIIEqQIBAAKCAQEAqG508FiAYU7v+mQ5jLJyWIGpPTYcQeIeJAwSqRThXFheAfag
iE4NfifAmerCIC6mQPMlGCFyYF8DjrqXaMraxpcgItRpydFL3zS5VA3GfGJIYhHj
Rgpx5rv0FS35IfSL1QTDF8iCK1+KJvRFndUvvxq68/Y7nwGS9YvNx3eypPOCVO+M
bcyxVPZyO/5ynBT9uvWzzVqRAl1Zd+1nzF7LTo0ac+6C5bOOu0UT/VozFxkbWIoE
eQ3GsSy+kPV7oio6ZGllSeRYQwNaamhqXzyr8f5pzqoAEyPxMhWkNkkHAFPWDgZu
SumNuqKJkBvEpt/xUbiTRjAoZ2yvc1nsYOOLkQIDAQABAoIBAQCj+kWm6MKz+eHw
6DqPG/vu5u0ZRuDj03x8o7RXIJj3CqEbUDyh9ztzosgEEWXFZyU8/nsSrx1nbZlN
D6Pwxe2Qgfkrb5k+fqFbQT1c87xVxGmr8LZPrkON21aaeBOgVzD7xpMZSIBSMcWS
fyZ3ruG5MBDrCsKo3yNwIxfIJmSp6UH3uHVGvNuLs5N2yKSvLA8vHn5LbjIpsdl7
G4paikTZraNWv+CcLcLZz7lOcasdIpj4wqkkyDEujjkHIjKSMZoYjFKPqRcocOiP
obIhihuodRPQ6FbKd0qgjFNmbP0dk/dTews0NVS5yt/+e+kNuh5I2Jfgm3siPBHH
0uL1/6YxAoIAgQC5P1L5zxWvbgzn3uPiXOZSEJ//LQ/207r7F9SdpvfrL5ezCnVs
eOI/zkPVZRgu+cZJjLs1OddEWeIruZPVzQl8Yaf8luzxUCQnQsLSZldDdZV5WdQ/
7x03RVAfAWf4UlYpiukTroaUOyEgBBZ2HGiYfvgeQt58d2K/03DnwzGGewKCAIEA
6MLy4Y2MvailJHEuSj28ImZ45Uulbx9ra29/+tS0SHDMnnWDVFvHqqoaByb8sYvl
MgNrbPK3ofqYAy4Q5c2JNHoadAekpDPCIXuK8eotl6kB70r6aHP1b9vT7sRPD2Ah
1DhQ7NZzRtvGEDpc7+BdVMyPsmVp/LTFwlm1ZI3kfmMCggCBAKSs4UNGzt0zdG+P
WX853FkphEGgOmfOEpLxvUUkT5GXrkAv1PDHiUD1SKHji5r+2UE6xJTtRSryyDbc
csoFyh/y5BWLyTg/aNQp6eyFo59JYMYOj7sCAjPG/xGA+37pGsU1QjsH04TkB29h
kuIOIQEnJcQo54U3z+X8vYqZn2YPAoIAgD1vh1AFXoqIwt31ibRKyyeBSJOs/cNw
1ZeL3InGLreYHkoM1lcjynW/ZBNTNQtf02T6BhbBkbqNPCZKuGcPcxGI0QajJc+5
YZoY07m6h8Ip97rDXYjIYpXdvfidlAiI5STwoFuC1vZy97o8zV77J2dEfwElR25O
AIylxPz/frnlAoIAgFmxIXy3Y5DKDql0gKrbcS00lfazCbLecM6arylWZxbN8/Yn
bd8cPK8bB/E+0+AiHLXaOiMnBtHlGGiPYkVr+4kRss2t1pYMp87QFifqMavWDPuk
As+Gv0InS64p57XVt7QTLoCvuFf/fi6uejprpYDdwCQboue6XyeixAX76B/4
-----END RSA PRIVATE KEY-----
" > ~/"instance-key-ny8nj-whayutin-rmgr-rh-pud-"

start: 2016-03-09 15:51:05.062496

end: 2016-03-09 15:51:05.067972

delta: 0:00:00.005476

TASK: [validate_openstack/test_instance | set the file attributes on the ssh key] *** 
                      [[ previous task time: 0:00:00.940174 = 0.94s / 58.90s ]]
<undercloud> REMOTE_MODULE file path=~/"instance-key-ny8nj-whayutin-rmgr-rh-pud-" owner=stack group=stack mode=0600
changed: [undercloud] => {"changed": true, "gid": 1000, "group": "stack", "mode": "0600", "owner": "stack", "path": "/home/stack/instance-key-ny8nj-whayutin-rmgr-rh-pud-", "secontext": "unconfined_u:object_r:user_home_t:s0", "size": 1684, "state": "file", "uid": 1000}

TASK: [validate_openstack/test_instance | create instance for validation test] *** 
                      [[ previous task time: 0:00:00.998796 = 1.00s / 59.90s ]]
<undercloud> REMOTE_MODULE nova_compute security_groups=default login_username=admin key_name=instance-key-ny8nj-whayutin-rmgr-rh-pud- auth_url=http://172.16.23.110:5000/v2.0 state=present image_id=8fd676bb-80c5-4aec-a7a2-8cad999d3142 login_password=VALUE_HIDDEN login_tenant_name=admin name=khaleesi
changed: [undercloud] => {"attempts_errors_log": [], "changed": true, "id": "73750309-8487-4512-a2da-af319e8d9d0c", "info": {"OS-DCF:diskConfig": "MANUAL", "OS-EXT-AZ:availability_zone": "nova", "OS-EXT-SRV-ATTR:host": "overcloud-novacompute-0.localdomain", "OS-EXT-SRV-ATTR:hypervisor_hostname": "overcloud-novacompute-0.localdomain", "OS-EXT-SRV-ATTR:instance_name": "instance-00000029", "OS-EXT-STS:power_state": 1, "OS-EXT-STS:task_state": null, "OS-EXT-STS:vm_state": "active", "OS-SRV-USG:launched_at": "2016-03-09T20:51:22.000000", "OS-SRV-USG:terminated_at": null, "accessIPv4": "", "accessIPv6": "", "addresses": {"private_ny8nj-whayutin-rmgr-rh-pud-": [{"OS-EXT-IPS-MAC:mac_addr": "fa:16:3e:93:78:3f", "OS-EXT-IPS:type": "fixed", "addr": "10.0.0.23", "version": 4}]}, "config_drive": "", "created": "2016-03-09T20:51:06Z", "flavor": {"id": "2", "links": [{"href": "http://172.16.23.110:8774/1639b08c309f444c94a17964da1409e9/flavors/2", "rel": "bookmark"}]}, "hostId": "6405080bfa20cbaae2bbbd16646614f3bf5e1fde39d0757636cb2e2a", "id": "73750309-8487-4512-a2da-af319e8d9d0c", "image": {"id": "8fd676bb-80c5-4aec-a7a2-8cad999d3142", "links": [{"href": "http://172.16.23.110:8774/1639b08c309f444c94a17964da1409e9/images/8fd676bb-80c5-4aec-a7a2-8cad999d3142", "rel": "bookmark"}]}, "key_name": "instance-key-ny8nj-whayutin-rmgr-rh-pud-", "links": [{"href": "http://172.16.23.110:8774/v2/1639b08c309f444c94a17964da1409e9/servers/73750309-8487-4512-a2da-af319e8d9d0c", "rel": "self"}, {"href": "http://172.16.23.110:8774/1639b08c309f444c94a17964da1409e9/servers/73750309-8487-4512-a2da-af319e8d9d0c", "rel": "bookmark"}], "metadata": {}, "name": "khaleesi", "os-extended-volumes:volumes_attached": [], "progress": 0, "security_groups": [{"name": "default"}], "status": "ACTIVE", "tenant_id": "1639b08c309f444c94a17964da1409e9", "updated": "2016-03-09T20:51:21Z", "user_id": "e037af69b5e943a1a5ba4206b0ddd9b9"}, "private_ip": "10.0.0.23", "public_ip": "", "status": "ACTIVE"}

TASK: [validate_openstack/test_instance | check if instance was created in other nodes than compute nodes] *** 
                     [[ previous task time: 0:00:17.470484 = 17.47s / 77.37s ]]
<undercloud> REMOTE_MODULE command source /home/stack/overcloudrc; nova list --fields OS-EXT-SRV-ATTR:host | grep -E "[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-4[A-Fa-f0-9]{3}-[89aAbB][A-Fa-f0-9]{3}-[A-Fa-f0-9]{12}" | grep -v compute; #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "source /home/stack/overcloudrc; nova list --fields OS-EXT-SRV-ATTR:host | grep -E \"[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-4[A-Fa-f0-9]{3}-[89aAbB][A-Fa-f0-9]{3}-[A-Fa-f0-9]{12}\" | grep -v compute;", "delta": "0:00:01.636649", "end": "2016-03-09 15:51:26.162213", "failed": false, "failed_when_result": false, "rc": 1, "start": "2016-03-09 15:51:24.525564", "stderr": "", "stdout": "", "stdout_lines": [], "warnings": []}

cmd: source /home/stack/overcloudrc; nova list --fields OS-EXT-SRV-ATTR:host | grep -E "[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-4[A-Fa-f0-9]{3}-[89aAbB][A-Fa-f0-9]{3}-[A-Fa-f0-9]{12}" | grep -v compute;

start: 2016-03-09 15:51:24.525564

end: 2016-03-09 15:51:26.162213

delta: 0:00:01.636649

TASK: [validate_openstack/test_instance | assign a floating ip to the instance] *** 
                      [[ previous task time: 0:00:02.628263 = 2.63s / 80.00s ]]
<undercloud> REMOTE_MODULE quantum_floating_ip network_name=nova login_username=admin internal_network_name=private_ny8nj-whayutin-rmgr-rh-pud- auth_url=http://172.16.23.110:5000/v2.0 state=present login_tenant_name=admin instance_name=khaleesi login_password=VALUE_HIDDEN
changed: [undercloud] => {"changed": true, "public_ip": "192.0.2.100", "result": {"floatingip": {"fixed_ip_address": "10.0.0.23", "floating_ip_address": "192.0.2.100", "floating_network_id": "9cdac77a-2747-46bd-aeb6-c1d95460836c", "id": "7f1fd405-d5a1-46a8-9d6a-7aa30cc4582b", "port_id": "178dff2c-6ab2-4392-b9e3-282bb26b3482", "router_id": "35a55a90-dae7-46a2-9666-6bf7152bc6ea", "status": "DOWN", "tenant_id": "1639b08c309f444c94a17964da1409e9"}}}

TASK: [validate_openstack/test_instance | print floating ip address] ********** 
                      [[ previous task time: 0:00:05.568987 = 5.57s / 85.57s ]]
ok: [undercloud] => {
    "var": {
        "floating_ip": {
            "changed": true,
            "invocation": {
                "module_args": "",
                "module_name": "quantum_floating_ip"
            },
            "public_ip": "192.0.2.100",
            "result": {
                "floatingip": {
                    "fixed_ip_address": "10.0.0.23",
                    "floating_ip_address": "192.0.2.100",
                    "floating_network_id": "9cdac77a-2747-46bd-aeb6-c1d95460836c",
                    "id": "7f1fd405-d5a1-46a8-9d6a-7aa30cc4582b",
                    "port_id": "178dff2c-6ab2-4392-b9e3-282bb26b3482",
                    "router_id": "35a55a90-dae7-46a2-9666-6bf7152bc6ea",
                    "status": "DOWN",
                    "tenant_id": "1639b08c309f444c94a17964da1409e9"
                }
            }
        }
    }
}

TASK: [validate_openstack/test_instance | Pause to let the instance boot] ***** 
                      [[ previous task time: 0:00:00.009264 = 0.01s / 85.58s ]]
created 'pause' ActionModule: pause_type=seconds, duration_unit=seconds, calculated_seconds=60, prompt=None
(^C-c = continue early, ^C-a = abort)
[undercloud]
Pausing for 60 seconds
ok: [undercloud] => {"changed": false, "delta": 60, "rc": 0, "start": "2016-03-09 15:51:31.798495", "stderr": "", "stdout": "Paused for 60.06 seconds", "stop": "2016-03-09 15:52:31.857350"}

start: 2016-03-09 15:51:31.798495

delta: 60

stdout: Paused for 60.06 seconds

TASK: [validate_openstack/test_instance | check console_log] ****************** 
                    [[ previous task time: 0:01:00.102640 = 60.10s / 145.68s ]]
<undercloud> REMOTE_MODULE command source /home/stack/overcloudrc; nova console-log khaleesi &> nova_console_log.log #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "source /home/stack/overcloudrc; nova console-log khaleesi &> nova_console_log.log", "delta": "0:00:02.309570", "end": "2016-03-09 15:52:35.205005", "rc": 0, "start": "2016-03-09 15:52:32.895435", "stderr": "", "stdout": "", "warnings": []}

cmd: source /home/stack/overcloudrc; nova console-log khaleesi &> nova_console_log.log

start: 2016-03-09 15:52:32.895435

end: 2016-03-09 15:52:35.205005

delta: 0:00:02.309570

TASK: [validate_openstack/test_instance | add sec rule] *********************** 
                     [[ previous task time: 0:00:03.361539 = 3.36s / 149.04s ]]
<undercloud> REMOTE_MODULE command source /home/stack/overcloudrc; nova secgroup-add-rule default icmp -1 -1 0.0.0.0/0; nova secgroup-add-rule default tcp 22 22 0.0.0.0/0 #USE_SHELL
changed: [undercloud] => {"changed": true, "cmd": "source /home/stack/overcloudrc; nova secgroup-add-rule default icmp -1 -1 0.0.0.0/0; nova secgroup-add-rule default tcp 22 22 0.0.0.0/0", "delta": "0:00:04.397803", "end": "2016-03-09 15:52:40.668498", "rc": 0, "start": "2016-03-09 15:52:36.270695", "stderr": "", "stdout": "+-------------+-----------+---------+-----------+--------------+\n| IP Protocol | From Port | To Port | IP Range  | Source Group |\n+-------------+-----------+---------+-----------+--------------+\n| icmp        | -1        | -1      | 0.0.0.0/0 |              |\n+-------------+-----------+---------+-----------+--------------+\n+-------------+-----------+---------+-----------+--------------+\n| IP Protocol | From Port | To Port | IP Range  | Source Group |\n+-------------+-----------+---------+-----------+--------------+\n| tcp         | 22        | 22      | 0.0.0.0/0 |              |\n+-------------+-----------+---------+-----------+--------------+", "warnings": []}

cmd: source /home/stack/overcloudrc; nova secgroup-add-rule default icmp -1 -1 0.0.0.0/0; nova secgroup-add-rule default tcp 22 22 0.0.0.0/0

start: 2016-03-09 15:52:36.270695

end: 2016-03-09 15:52:40.668498

delta: 0:00:04.397803

stdout: +-------------+-----------+---------+-----------+--------------+
| IP Protocol | From Port | To Port | IP Range  | Source Group |
+-------------+-----------+---------+-----------+--------------+
| icmp        | -1        | -1      | 0.0.0.0/0 |              |
+-------------+-----------+---------+-----------+--------------+
+-------------+-----------+---------+-----------+--------------+
| IP Protocol | From Port | To Port | IP Range  | Source Group |
+-------------+-----------+---------+-----------+--------------+
| tcp         | 22        | 22      | 0.0.0.0/0 |              |
+-------------+-----------+---------+-----------+--------------+

TASK: [validate_openstack/test_instance | ensure ssh is available] ************ 
                     [[ previous task time: 0:00:05.462076 = 5.46s / 154.50s ]]
<undercloud> REMOTE_MODULE wait_for host=192.0.2.100 port=22 delay=30 state=started
ok: [undercloud] => {"changed": false, "elapsed": 39, "path": null, "port": 22, "search_regex": null, "state": "started"}

TASK: [validate_openstack/test_instance | ping instance public ip from controller] *** 
                    [[ previous task time: 0:00:40.111140 = 40.11s / 194.61s ]]
<undercloud> REMOTE_MODULE command ping -c 5 "192.0.2.100"
changed: [undercloud] => {"attempts": 0, "changed": true, "cmd": ["ping", "-c", "5", "192.0.2.100"], "delta": "0:00:04.008797", "end": "2016-03-09 15:53:25.805941", "rc": 0, "start": "2016-03-09 15:53:21.797144", "stderr": "", "stdout": "PING 192.0.2.100 (192.0.2.100) 56(84) bytes of data.\n64 bytes from 192.0.2.100: icmp_seq=1 ttl=63 time=3.33 ms\n64 bytes from 192.0.2.100: icmp_seq=2 ttl=63 time=3.82 ms\n64 bytes from 192.0.2.100: icmp_seq=3 ttl=63 time=0.780 ms\n64 bytes from 192.0.2.100: icmp_seq=4 ttl=63 time=0.923 ms\n64 bytes from 192.0.2.100: icmp_seq=5 ttl=63 time=0.931 ms\n\n--- 192.0.2.100 ping statistics ---\n5 packets transmitted, 5 received, 0% packet loss, time 4003ms\nrtt min/avg/max/mdev = 0.780/1.958/3.824/1.334 ms", "warnings": []}

cmd: ping -c 5 192.0.2.100

start: 2016-03-09 15:53:21.797144

end: 2016-03-09 15:53:25.805941

delta: 0:00:04.008797

stdout: PING 192.0.2.100 (192.0.2.100) 56(84) bytes of data.
64 bytes from 192.0.2.100: icmp_seq=1 ttl=63 time=3.33 ms
64 bytes from 192.0.2.100: icmp_seq=2 ttl=63 time=3.82 ms
64 bytes from 192.0.2.100: icmp_seq=3 ttl=63 time=0.780 ms
64 bytes from 192.0.2.100: icmp_seq=4 ttl=63 time=0.923 ms
64 bytes from 192.0.2.100: icmp_seq=5 ttl=63 time=0.931 ms

--- 192.0.2.100 ping statistics ---
5 packets transmitted, 5 received, 0% packet loss, time 4003ms
rtt min/avg/max/mdev = 0.780/1.958/3.824/1.334 ms

TASK: [validate_openstack/test_instance | print ping output] ****************** 
                     [[ previous task time: 0:00:05.025954 = 5.03s / 199.64s ]]
ok: [undercloud] => {
    "var": {
        "ping_result.stdout_lines": [
            "PING 192.0.2.100 (192.0.2.100) 56(84) bytes of data.",
            "64 bytes from 192.0.2.100: icmp_seq=1 ttl=63 time=3.33 ms",
            "64 bytes from 192.0.2.100: icmp_seq=2 ttl=63 time=3.82 ms",
            "64 bytes from 192.0.2.100: icmp_seq=3 ttl=63 time=0.780 ms",
            "64 bytes from 192.0.2.100: icmp_seq=4 ttl=63 time=0.923 ms",
            "64 bytes from 192.0.2.100: icmp_seq=5 ttl=63 time=0.931 ms",
            "",
            "--- 192.0.2.100 ping statistics ---",
            "5 packets transmitted, 5 received, 0% packet loss, time 4003ms",
            "rtt min/avg/max/mdev = 0.780/1.958/3.824/1.334 ms"
        ]
    }
}

TASK: [validate_openstack/test_instance | ssh to instance] ******************** 
                     [[ previous task time: 0:00:00.009040 = 0.01s / 199.65s ]]
<undercloud> REMOTE_MODULE command ssh -o StrictHostKeyChecking=no -o PasswordAuthentication=no -i ~/"instance-key-ny8nj-whayutin-rmgr-rh-pud-"  uname -a #USE_SHELL
changed: [undercloud] => {"attempts": 0, "changed": true, "cmd": "ssh -o StrictHostKeyChecking=no -o PasswordAuthentication=no -i ~/\"instance-key-ny8nj-whayutin-rmgr-rh-pud-\" \"fedora\"@\"192.0.2.100\" uname -a", "delta": "0:00:02.765325", "end": "2016-03-09 15:53:29.512848", "rc": 0, "start": "2016-03-09 15:53:26.747523", "stderr": "Warning: Permanently added '192.0.2.100' (ECDSA) to the list of known hosts.", "stdout": "Linux khaleesi 3.17.4-301.fc21.x86_64 #1 SMP Thu Nov 27 19:09:10 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux", "warnings": []}

cmd: ssh -o StrictHostKeyChecking=no -o PasswordAuthentication=no -i ~/"instance-key-ny8nj-whayutin-rmgr-rh-pud-" "fedora"@"192.0.2.100" uname -a

start: 2016-03-09 15:53:26.747523

end: 2016-03-09 15:53:29.512848

delta: 0:00:02.765325

stdout: Linux khaleesi 3.17.4-301.fc21.x86_64 #1 SMP Thu Nov 27 19:09:10 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

stderr: Warning: Permanently added '192.0.2.100' (ECDSA) to the list of known hosts.

TASK: [validate_openstack/test_instance | print result of ssh] **************** 
                     [[ previous task time: 0:00:03.702479 = 3.70s / 203.35s ]]
ok: [undercloud] => {
    "var": {
        "ssh_result.stdout_lines": [
            "Linux khaleesi 3.17.4-301.fc21.x86_64 #1 SMP Thu Nov 27 19:09:10 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux"
        ]
    }
}

TASK: [validate_openstack/test_instance | delete instance] ******************** 
                     [[ previous task time: 0:00:00.009880 = 0.01s / 203.36s ]]
<undercloud> REMOTE_MODULE nova_compute security_groups=default login_username=admin key_name=instance-key-ny8nj-whayutin-rmgr-rh-pud- auth_url=http://172.16.23.110:5000/v2.0 state=absent image_id=8fd676bb-80c5-4aec-a7a2-8cad999d3142 login_password=VALUE_HIDDEN login_tenant_name=admin name=khaleesi
changed: [undercloud] => {"changed": true, "result": "deleted"}

PLAY RECAP ******************************************************************** 
undercloud                 : ok=41   changed=21   unreachable=0    failed=0

Note You need to log in before you can comment on or make changes to this bug.